=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                libkf5i18n-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.31.0~),
-               libkf5mime-dev (>= 21.12.3~),
+               libkf5mime-dev (>= 22.08.1~),
                libsasl2-dev,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.6.1~),
@@ -40,7 +40,7 @@
          libkf5coreaddons-dev (>= 5.31.0~),
          libkf5imap5 (= ${binary:Version}),
          libkf5kio-dev (>= 5.31.0~),
-         libkf5mime-dev (>= 21.12.3~),
+         libkf5mime-dev (>= 22.08.1~),
          libsasl2-dev,
          ${misc:Depends},
 Description: library for handling IMAP data - development files
